import { BaseXform } from "@excel/xlsx/xform/base-xform";
interface PicModel {
    index?: number;
    [key: string]: any;
}
declare class PicXform extends BaseXform {
    map: {
        [key: string]: any;
    };
    parser: any;
    model: any;
    constructor();
    get tag(): string;
    prepare(model: PicModel, options: {
        index: number;
    }): void;
    render(xmlStream: any, model: PicModel): void;
    parseOpen(node: any): boolean;
    parseText(): void;
    parseClose(name: string): boolean;
}
export { PicXform };
